/*******************************************************************************
* Copyright (c) 2008 NetApp, Inc.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
* NetApp, Inc. - Reimplementation as part of the Leekui project
*******************************************************************************/

package com.onaro.client.leekui.jface.dialogs;

import com.onaro.client.leekui.jface.dialogs.IValidatableDialogPage;


public abstract class ValidatableDialogPage extends DialogPage implements IValidatableDialogPage {
	
	protected IDialogPageContainer container;

	public boolean performCancel() {
		return true;
	}

	public boolean performOk() {
		return true;
	}
	
	public IDialogPageContainer getContainer() {
		return container;
	}

	public void setContainer(IDialogPageContainer dialogPageContainer) {
		this.container = dialogPageContainer;
	}

}
