/*******************************************************************************
* Copyright (c) 2008 NetApp, Inc.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
* NetApp, Inc. - Reimplementation as part of the Leekui project
*******************************************************************************/

package com.onaro.client.leekui.jface.operation;

public interface IUIRunnableWithProgress extends IRunnableWithProgress {

	/**
	 * Indicates whether this UI Runnable is a background task, or should block the UI from being acted upon
	 * @return true if this is a background task, or false if it's a foreground task.
	 */
	public boolean isBackground();
}
