/*******************************************************************************
* Copyright (c) 2008 NetApp, Inc.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
* NetApp, Inc. - Reimplementation as part of the Leekui project
*******************************************************************************/

package com.onaro.client.leekui.jface.preferences;

import java.util.ResourceBundle;


public class Messages {
	
	public static final Messages INSTANCE = new Messages();
    
    public static final ResourceBundle rb = ResourceBundle.getBundle("com.onaro.client.leekui.jface.preferences.Messages");
	
	public String getOKButtonLabel() { return rb.getString("OKButtonLabel"); };
	
	
	public String getCancelButtonLabel() { return rb.getString("CancelButtonLabel"); };
	
	
	public String getTitleLabel() { return rb.getString("TitleLabel"); };
	
	
	public String getMessageLabel() { return rb.getString("MessageLabel"); };
	
	
	public String getDefaultSettingsTitle() { return rb.getString("DefaultSettingsTitle"); };
	
	
	public String getFailedToLeavePageErrorTitle() { return rb.getString("FailedToLeavePageErrorTitle"); };
	
	
	public String getFailedToLeavePageErrorMessage() { return rb.getString("FailedToLeavePageErrorMessage"); };
	
	
	public String getFailedToSaveSettingsErrorTitle() { return rb.getString("FailedToSaveSettingsErrorTitle"); };
	
	
	public String getFailedToSaveSettingsErrorMessage() { return rb.getString("FailedToSaveSettingsErrorMessage"); };


    public String getPageTitleLabel() { return rb.getString("PageTitleLabel"); };


	public String getDescriptionLabel() { return rb.getString("DescriptionLabel"); };


	public String getApplyLabel() { return rb.getString("ApplyLabel"); };


	public String getPrefPage1() { return rb.getString("PrefPage1"); };


	public String getPrefPage2() { return rb.getString("PrefPage2"); };


	public String getBackButtonLabel() { return rb.getString("BackButtonLabel"); };


	public String getNextButtonLabel() { return rb.getString("NextButtonLabel"); };


	public String getFinishButtonLabel() { return rb.getString("FinishButtonLabel"); };


	public String getProgressItem() { return rb.getString("ProgressItem"); };


	public String getNorthLabel() { return rb.getString("NorthLabel"); };


	public String getSouthLabel() { return rb.getString("SouthLabel"); };

    
	public String getProgressTitle() { return rb.getString("ProgressTitle"); };

    
	public String getGeneralCategory() { return rb.getString("GeneralCategory"); };

	
}
