/*******************************************************************************
* Copyright (c) 2008 NetApp, Inc.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
* IBM Corporation - initial API and implementation
* NetApp, Inc. - Reimplementation as part of the Leekui project
*******************************************************************************/

package com.onaro.client.leekui.ui;

/**
 * This class is a reimplementation of the Eclipse class org.eclipse.ui.PartInitException
 */
public class PartInitException extends WorkbenchException {
	private static final long serialVersionUID = 1L;

	public PartInitException() {
		super();
	}

	public PartInitException(String message, Throwable cause) {
		super(message, cause);
	}

	public PartInitException(String message) {
		super(message);
	}

	public PartInitException(Throwable cause) {
		super(cause);
	}

	
}
