/*******************************************************************************
* Copyright (c) 2008 NetApp, Inc.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
* IBM Corporation - initial API and implementation
* NetApp, Inc. - Reimplementation as part of the Leekui project
*******************************************************************************/

package com.onaro.client.leekui.ui;

import com.onaro.client.leekui.ui.internal.Workbench;

/**
 * This class is a reimplementation of the Eclipse class org.eclipse.ui.PlatformUI
 */
public class PlatformUI 
{
	public static final String PLUGIN_ID = "com.onaro.client.leekui.ui"; //$NON-NLS-1$
	
	public static IWorkbench getWorkbench()
	{
		return Workbench.getInstance();
	}
}
