/*******************************************************************************
* Copyright (c) 2008 NetApp, Inc.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
* NetApp, Inc. - Reimplementation as part of the Leekui project
*******************************************************************************/

package com.onaro.client.leekui.jface.preferences;

import java.awt.Dimension;

import javax.swing.JComponent;
import javax.swing.JPanel;

public class BlankPreferencePage extends PreferencePage {
	
	public BlankPreferencePage(String title, String description) {
		setTitle(title);
		setDescription(description);
		noApplyButton();
	}

	@Override
	protected JComponent createComponent() {
		JPanel panel = new JPanel();
		panel.setPreferredSize(new Dimension(0,0));
		return panel;
	}
}
